define({"963":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_lookupByPath.htm",l:-1,t:"lookupByPath",i:0.00222561942544052,a:"The lookupByPath method returns the value at the specified path in the JSON array. This method does not make a copy of the value, so modifying the returned value affects the original object. Syntax lookupByPath( path ) Arguments Returns (LuaJsonValue) Returns the value that exists at the specified ..."},"964":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_object.htm",l:-1,t:"object",i:0.000333847766261011,a:"The object method gets the object, if the value is a JSON object. Syntax object() Returns (LuaJsonObject) A  LuaJsonObject  object that represents the JSON object. Example local fh = io.open(\"example_json.json\", \"r\")\nlocal file_content = fh:read(\"*all\")\nfh:close()\n\nlocal myJsonValue = ..."},"965":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_string.htm",l:-1,t:"string",i:0.000333847766261011,a:"The string method returns the JSON value as a string. Syntax string() Returns (String). The JSON value as a string. Example local fh = io.open(\"example_json.json\", \"r\")\nlocal file_content = fh:read(\"*all\")\nfh:close()\n    \nlocal myJsonValue = parse_json(file_content)\n\nprint(myJsonValue:string())\n"},"966":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_value.htm",l:-1,t:"value",i:0.000333847766261011,a:"The value method gets the value, if the JSON value is a simple type (a Boolean, float, integer, or string). This method returns a default value if one is specified and the value cannot be converted to the same type as the default. Syntax value( [default] ) Arguments Returns (lua_json_simple_type). A ..."},"967":{y:0,u:"../Content/Lua/LuaLog/_LUA_LuaLog.htm",l:-1,t:"LuaLog Methods",i:0.00202484332753283,a:"LuaLog Methods A LuaLog object provides the capability to use a log stream. You can obtain a LuaLog object for a log stream by using the function  get_log . If you have a LuaLog object called log you can call its methods using the \u0027:\u0027 operator. For example: log:write_line(level, message)"},"968":{y:0,u:"../Content/Lua/LuaLog/_LUA_write_line.htm",l:-1,t:"write_line",i:0.00113652219093519,a:"The write_line method writes a message to the log stream. Syntax write_line( level, message ) Arguments Example local config = get_config(\"connector.cfg\")\nlocal log = get_log(config, \"SynchronizeLogStream\")\nlog:write_line( log_level_error() , \"This message is written to the synchronize log\")"},"969":{y:0,u:"../Content/Lua/LuaLogService/_LUA__LuaLogService.htm",l:-1,t:"LuaLogService Methods",i:0.000365475646906356,a:"A LuaLogService object provides the capability to write messages to a standard or custom log file. If you have a LuaLogService object called myLogService you can call its methods using the \u0027:\u0027 operator. For example: myLogService:get_log(\"application\") Method Description get_log Returns a LuaLog ..."},"970":{y:0,u:"../Content/Lua/LuaLogService/_LUA_LuaLogService_new.htm",l:-1,t:"LuaLogService:new",i:0.000431289842445568,a:"The constructor for a LuaLogService object (creates a new LuaLogService). Do not create a new log service to write messages to log types that are defined in the Connector Framework Server configuration file. Instead use the same log service as Connector Framework Server, by calling  get_log_service ..."},"971":{y:0,u:"../Content/Lua/LuaLogService/_LUA_get_log.htm",l:-1,t:"get_log",i:0.000431289842445568,a:"get_log The get_log method returns a LuaLog object that you can use to write log messages to a specified log type. Syntax get_log( type ) Arguments Returns (LuaLog). A  LuaLog  object. Example local log = myLuaLogService:get_log(\"import\")\n-- import is a standard log type for CFS"},"972":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_LuaRegexMatch_Methods.htm",l:-1,t:"LuaRegexMatch Methods",i:0.000275962582419033,a:"A LuaRegexMatch object provides information about the matches for a regular expression found in a string. For example, the regex_search function returns a LuaRegexMatch object. If a match is found for a regular expression at multiple points in the string, you can use the next() method to get a ..."},"973":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_length.htm",l:-1,t:"length",i:0.000322876251458053,a:"length The length method returns the length of the match. You can also retrieve the length of sub matches by specifying the submatch parameter. Syntax length( [ submatch ] ) Arguments Returns (Number). The length of the sub match."},"974":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_next.htm",l:-1,t:"next",i:0.000322876251458053,a:"next The next method returns a LuaRegexMatch object for the next match. Syntax next() Returns (LuaRegexMatch). A LuaRegexMatch object for the next match, or nil if there are no matches following this one."},"975":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_position.htm",l:-1,t:"position",i:0.000322876251458053,a:"The position method returns the position of the match in the string searched, where 1 refers to the first character in the string. You can also retrieve the position of sub matches by specifying the submatch parameter. Syntax position( [ submatch ] ) Arguments Returns (Number). The position of the ..."},"976":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_size.htm",l:-1,t:"size",i:0.000322876251458053,a:"size The size method returns the total number of sub matches made for the current match, including the whole match (sub match 0). Syntax size() Returns (Number). The number of sub matches for the current match."},"977":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_str.htm",l:-1,t:"str",i:0.000322876251458053,a:"str The str method returns the value of the substring that matched the regular expression. You can also retrieve the values of sub matches by specifying the submatch parameter. Syntax str( [ submatch ] ) Arguments Returns (String). The value of the sub match."},"978":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_LuaXmlDocument_Methods.htm",l:-1,t:"LuaXmlDocument Methods",i:0.000275962582419033,a:"This section describes the methods provided by LuaXmlDocument objects. A LuaXmlDocument object provides methods for accessing information stored in XML format. You can create a LuaXmlDocument from a string containing XML using the parse_xml function. If you have a LuaXmlDocument object called xml ..."},"979":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_root.htm",l:-1,t:"root",i:0.000322876251458053,a:"root The root method returns an LuaXmlNode, which is the root node of the XML document. Syntax root() Returns (LuaXmlNode). A LuaXmlNode object."},"980":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathExecute.htm",l:-1,t:"XPathExecute",i:0.000322876251458053,a:"XPathExecute The XPathExecute method returns a LuaXmlNodeSet, which is the result of the supplied XPath query. Syntax XPathExecute( xpathQuery ) Arguments Returns (LuaXmlNodeSet). A LuaXmlNodeSet object."},"981":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathRegisterNs.htm",l:-1,t:"XPathRegisterNs",i:0.000322876251458053,a:"XPathRegisterNs The XPathRegisterNs method registers a namespace with the XML parser. Syntax XPathRegisterNs( prefix, location ) Arguments Returns (Boolean). True if successful, False in case of error."},"982":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathValue.htm",l:-1,t:"XPathValue",i:0.000322876251458053,a:"XPathValue The XPathValue method returns the first occurrence of the value matching the XPath query. Syntax XPathValue( query ) Arguments Returns (String). A string of the value."},"983":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathValues.htm",l:-1,t:"XPathValues",i:0.000322876251458053,a:"The XPathValues method returns the values according to the XPath query. Syntax XPathValues( query ) Arguments Returns (Strings). The strings can be assigned to a table. To map the return values to a table, surround the function call with braces. For example: values = { xml:XPathValues(query) }"},"984":{y:0,u:"../Content/Lua/LuaXmlNodeSet/_LUA_LuaXmlNodeSet_Methods.htm",l:-1,t:"LuaXmlNodeSet Methods",i:0.000275962582419033,a:"LuaXmlNodeSet Methods A LuaXmlNodeSet object represents a set of XML nodes. If you have a LuaXmlNodeSet object called nodes you can call its methods using the \u0027:\u0027 operator. For example: nodes:size()"},"985":{y:0,u:"../Content/Lua/LuaXmlNodeSet/_LUA_at.htm",l:-1,t:"at",i:0.000393246755016584,a:"at The at method returns the LuaXmlNode at position position in the set. Syntax at( position ) Arguments Returns (LuaXmlNode)."},"986":{y:0,u:"../Content/Lua/LuaXmlNodeSet/_LUA_size.htm",l:-1,t:"size",i:0.000393246755016584,a:"size The size method returns the size of the node set. Syntax size() Returns (Number) An integer, the size of the node set."},"987":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_LuaXmlNode_Methods.htm",l:-1,t:"LuaXmlNode Methods",i:0.000275962582419033,a:"LuaXmlNode Methods A LuaXmlNode object represents a single node in an XML document.  If you have a LuaXmlNode object called node you can call its methods using the \u0027:\u0027 operator. For example: node:name()"},"988":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_attr.htm",l:-1,t:"attr",i:0.000299419416938543,a:"attr The attr method returns the first LuaXmlAttribute attribute object for the LuaXmlNode. If the name argument is specified, the method returns the first LuaXmlAttribute object with the specified name. Syntax attr( [name] ) Arguments Returns (LuaXmlAttribute). "},"989":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_content.htm",l:-1,t:"content",i:0.000299419416938543,a:"content The content method returns the content (text element) of the XML node. Syntax content() Returns (String). A string containing the content."},"990":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_firstChild.htm",l:-1,t:"firstChild",i:0.000299419416938543,a:"firstChild The firstChild method returns the LuaXmlNode that is the first child of this node. Syntax firstChild() Returns (LuaXmlNode)."},"991":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_lastChild.htm",l:-1,t:"lastChild",i:0.000299419416938543,a:"lastChild The lastChild method returns the LuaXmlNode that is the last child of this node. Syntax lastChild() Returns (LuaXmlNode)."},"992":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_name.htm",l:-1,t:"name",i:0.000299419416938543,a:"name The name method returns the name of the XML node. Syntax name() Returns (String). A string containing the name."},"993":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_next.htm",l:-1,t:"next",i:0.000299419416938543,a:"next The next method returns the LuaXmlNode that is the next sibling of this node. Syntax next() Returns (LuaXmlNode)."},"994":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_nodePath.htm",l:-1,t:"nodePath",i:0.000299419416938543,a:"nodePath The nodePath method returns the XML path to the node, which can be used in another XPath query. Syntax nodePath() Returns (String). A string containing the path."},"995":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_parent.htm",l:-1,t:"parent",i:0.000299419416938543,a:"parent The parent method returns the parent LuaXmlNode of the node. Syntax parent() Returns (LuaXmlNode)."},"996":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_prev.htm",l:-1,t:"prev",i:0.000299419416938543,a:"prev The prev method returns a LuaXmlNode that is the previous sibling of this node. Syntax prev() Returns (LuaXmlNode)."},"997":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_type.htm",l:-1,t:"type",i:0.000299419416938543,a:"The type method returns the type of the node as a string. Syntax type() Returns (String) A string containing the type. Possible values are: element_node comment_node element_decl attribute_node document_node attribute_decl text_node document_type_node entity_decl cdata_section_node ..."},"998":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_LuaXmlAttribute_Methods.htm",l:-1,t:"LuaXmlAttribute Methods",i:0.000275962582419033,a:"LuaXmlAttribute Methods A LuaXmlAttribute object represents an attribute on an XML element. If you have a LuaXmlAttribute object called attribute you can call its methods using the \u0027:\u0027 operator. For example: attribute:name()"},"999":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_name.htm",l:-1,t:"name",i:0.000334604668717809,a:"name The name method returns the name of this attribute. Syntax name() Returns (String). A string containing the name of the attribute."},"1000":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_next.htm",l:-1,t:"next",i:0.000334604668717809,a:"next The next method returns a LuaXmlAttribute object for the next attribute in the parent element. Syntax next() Returns (LuaXmlAttribute)."},"1001":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_prev.htm",l:-1,t:"prev",i:0.000334604668717809,a:"prev The prev method returns a LuaXmlAttribute object for the previous attribute in the parent element. Syntax prev() Returns (LuaXmlAttribute)."},"1002":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_value.htm",l:-1,t:"value",i:0.000334604668717809,a:"value The value method returns the value of this attribute. Syntax value() Returns (String). A string containing the value of the attribute."},"1003":{y:0,u:"../Content/Lua/CFS/_LuaFunctions.htm",l:-1,t:"Lua Functions for CFS",i:0.000275962582419033,a:"Lua Functions for CFS This section describes functions that you can use in Lua scripts that you call from Connector Framework Server."},"1004":{y:0,u:"../Content/Lua/CFS/add_to_replace.htm",l:-1,t:"add_to_replace",i:0.000275962582419033,a:"add_to_replace The add_to_replace function converts the index action that is run on a document from an add action to a replace action. Syntax add_to_replace( doc ) Arguments Returns Boolean. Returns true if the conversion was successful."},"1005":{y:0,u:"../Content/Lua/CFS/analyze_media_in_document.htm",l:-1,t:"analyze_media_in_document",i:0.000275962582419033,a:"The function analyze_media_in_document performs analysis on a media file associated with a document. CFS adds the results of analysis to the document’s metadata. If analysis is not successful, the function results in a Lua error. You do not need to add the field AUTN_NEEDS_MEDIA_SERVER_ANALYSIS to ..."},"1006":{y:0,u:"../Content/Lua/CFS/analyze_media_in_file.htm",l:-1,t:"analyze_media_in_file",i:0.000275962582419033,a:"The function analyze_media_in_file performs media analysis on a file. If analysis is not successful, the function results in a Lua error. Syntax  analyze_media_in_file(filename, params)  Arguments Named Parameters Media Server Settings Returns (string). The XML returned from Media Server, after any ..."},"1007":{y:0,u:"../Content/Lua/CFS/eduction.htm",l:-1,t:"eduction",i:0.000275962582419033,a:"eduction The eduction function applies eduction to the specified document.  Syntax eduction( doc, sectionName ) Arguments Returns Boolean. Returns true if eduction is successful."},"1008":{y:0,u:"../Content/Lua/CFS/email_address_normalisation.htm",l:-1,t:"email_address_normalisation",i:0.000275962582419033,a:"The email_address_normalisation function searches a document\u0027s metadata fields for e-mail addresses and the names of their owners, and writes the information back to the document in a standard format.  Syntax email_address_normalisation( document, sectionName ) Arguments Returns Boolean. Returns ..."},"1009":{y:0,u:"../Content/Lua/CFS/extract_html_content.htm",l:-1,t:"extract_html_content",i:0.000275962582419033,a:"extract_html_content The extract_html_content function extracts the meaningful textual content from an HTML file, and writes the text into the DRECONTENT field of the document. Syntax extract_html_content( doc [, Filename]) Arguments Returns Boolean. Returns true if the operation is successful."},"1010":{y:0,u:"../Content/Lua/CFS/extract_metadata.htm",l:-1,t:"extract_metadata",i:0.000275962582419033,a:"The extract_metadata function extracts metadata from the file associated with a document.  Run a Lua script using a pre-import task and add the fields AUTN_NO_FILTER and AUTN_NO_EXTRACT to any document on which you use this function. This prevents metadata being extracted twice. Syntax ..."},"1011":{y:0,u:"../Content/Lua/CFS/extract_text.htm",l:-1,t:"extract_text",i:0.000275962582419033,a:"The extract_text function uses KeyView to extract text from a data string. Syntax extract_text( data, isHtml) Arguments Returns String. Returns the text extracted from the string. Example local htmlSnippet = \"some \u003cb\u003e html \u003c/b\u003e with \u003ci\u003e unwanted \u003c/\u003e markup\";\nlocal text = extract_text(htmlSnippet, ..."},"1012":{y:0,u:"../Content/Lua/CFS/extract_text_from_binary_file.htm",l:-1,t:"extract_text_from_binary_file",i:0.00183972649029896,a:"The extract_text_from_binary_file function extracts potential strings of text from a binary file.  Syntax extract_text_from_binary_file( section, filename ) Arguments Returns Strings. Returns a list of strings. Example \nlocal potential_strings = { extract_text_from_binary_file( ..."},"1013":{y:0,u:"../Content/Lua/CFS/extract_text_from_file.htm",l:-1,t:"extract_text_from_file",i:0.000275962582419033,a:"The extract_text_from_file function uses KeyView to extract text from a file. Syntax extract_text_from_file( filename ) Arguments Returns String. Returns the text extracted from the file. Example local filePath = \"c:/path/to/my/file.xml\";\nlocal text = extract_text_from_file(filePath);"},"1014":{y:0,u:"../Content/Lua/CFS/filter_nist_rds.htm",l:-1,t:"filter_nist_rds",i:0.000275962582419033,a:"The function filter_nist_rds calculates the checksum of the file associated with a document. If the checksum is present in a NIST RDS hash set, the function adds the fields AUTN_NIST_RDS_LIST, AUTN_NO_FILTER, and AUTN_NO_EXTRACT to the document. The NIST RDS hash sets contain the checksums of ..."},"1015":{y:0,u:"../Content/Lua/CFS/get_filename.htm",l:-1,t:"get_filename",i:0.0003541520308174,a:"The get_filename function returns the path of the file associated with a document. Syntax get_filename( doc ) Arguments Returns String. Returns the path and file name of the file associated with the document, or an empty string if there is no file associated with the document. Example local filename ..."},"1016":{y:0,u:"../Content/Lua/CFS/has_overly_symbolic_content.htm",l:-1,t:"has_overly_symbolic_content",i:0.000275962582419033,a:"The has_overly_symbolic_content function checks whether a document has a reasonable proportion of symbolic characters. Syntax has_overly_symbolic_content( doc [, ThresholdPercent] ) Arguments Returns Boolean. If the document has too high a proportion of symbolic content, the function returns true. ..."},"1017":{y:0,u:"../Content/Lua/CFS/has_sensible_word_length.htm",l:-1,t:"has_sensible_word_lengths",i:0.000275962582419033,a:"The has_sensible_word_lengths function checks the average length of words in a document. Syntax has_sensible_word_lengths( doc\n   [, minimumThreshold\n   [, maximumThreshold\n   [, checkedSegmentLength]]] ) Arguments Returns Boolean. Returns the result of the check. Example function handler(document)\n ..."},"1018":{y:0,u:"../Content/Lua/CFS/import_into_this_document.htm",l:-1,t:"import_into_this_document",i:0.000275962582419033,a:"The import_into_this_document function imports the content of a file into a document. CFS uses KeyView to filter text from the file that you specify, and then adds the text to the DRECONTENT field of the document passed into the function. The text is not processed by pre- and post- import tasks that ..."},"1019":{y:0,u:"../Content/Lua/CFS/ingest.htm",l:-1,t:"ingest",i:0.000471436203414951,a:"The ingest function sends a new document or file to CFS for ingestion. This function differs from import_into_this_document because it creates a new document, which is added to the ingest queue. CFS runs Pre and Post import tasks for the new document. For this reason, do not write a Lua script that ..."},"1020":{y:0,u:"../Content/Lua/CFS/is_escaped_binary_file.htm",l:-1,t:"is_escaped_binary_file",i:0.000275962582419033,a:"The is_escaped_binary_file function checks whether a document has a reasonable proportion of escaped binary characters. Syntax is_escaped_binary_file( doc [, ThresholdPercent] ) Arguments Returns Boolean. Returns the result of the check. Example function handler(document)\n   ..."},"1021":{y:0,u:"../Content/Lua/CFS/lang_detect.htm",l:-1,t:"lang_detect",i:0.000275962582419033,a:"The function lang_detect performs language detection on a document. Syntax  lang_detect(document, params) Arguments Named Parameters Returns (Boolean). Returns true if the language was successfully detected and added to the specified document field. Returns false if the language could not be ..."},"1022":{y:0,u:"../Content/Lua/CFS/looks_like_language.htm",l:-1,t:"looks_like_language",i:0.000510530927614135,a:"The looks_like_language function analyzes document content. The function aims to determine whether the content contains text in the specified language. You can use this function to check whether Optical Character Recognition has successfully extracted meaningful text from a file. Syntax ..."},"1023":{y:0,u:"../Content/Lua/CFS/parse_agent_response.htm",l:-1,t:"parse_agent_response",i:0.000510530927614135,a:"The parse_agent_response function parses the XML string returned by send_agent_query into a more usable form. Syntax parse_agent_response( agentsString ) Arguments Returns A list of descriptions of agents. Each description is table containing key-value pairs describing the agent. The keys in the ..."},"1024":{y:0,u:"../Content/Lua/CFS/rms_decryption.htm",l:-1,t:"rms_decrypt",i:0.000275962582419033,a:"rms_decrypt The rms_decrypt function decrypts files that have been encrypted using Microsoft Azure Rights Management (RMS) encryption.  Syntax rms_decrypt( doc, sectionName ) Arguments Returns Boolean. Returns true if decryption is successful."},"1025":{y:0,u:"../Content/Lua/CFS/rms_encryption.htm",l:-1,t:"rms_encrypt",i:0.000275962582419033,a:"rms_encrypt The rms_encrypt function encrypts files using Microsoft Azure Rights Management (RMS) encryption.  Syntax rms_encrypt( doc, sectionName ) Arguments Returns Boolean. Returns true if encryption is successful."},"1026":{y:0,u:"../Content/Lua/CFS/section_document.htm",l:-1,t:"section_document",i:0.000275962582419033,a:"The section_document function divides the content of a document into shorter sections. Syntax section_document( doc [, params] ) Arguments Named Parameters Returns Boolean. Returns true if the document is divided successfully. Example function handler(document)\n   -- This call will use 2000 for the ..."},"1027":{y:0,u:"../Content/Lua/CFS/send_agent_query.htm",l:-1,t:"send_agent_query",i:0.000275962582419033,a:"The send_agent_query function queries an IDOL server for agents matching the provided document. Syntax send_agent_query( doc [, params] ) Arguments Named Parameters Returns String. The XML response from IDOL, detailing any matching agents. You must use parse_agent_response to convert the response ..."},"1028":{y:0,u:"../Content/Lua/CFS/send_email.htm",l:-1,t:"send_email",i:0.000510530927614135,a:"send_email The send_email (or send_smtp_email) function sends an e-mail message. You can use this function to alert people that events have taken place. Syntax send_email( params ) Arguments Named Parameters Returns If the e-mail is sent, the function returns  true. Otherwise, nothing is returned."},"1029":{y:0,u:"../Content/Lua/CFS/send_indexer_add.htm",l:-1,t:"send_indexer_add",i:0.000275962582419033,a:"send_indexer_add The send_indexer_add function sends a document to an indexer for adding to IDOL Server. Syntax send_indexer_add( doc, indexerSection ) send_indexer_add( doc, hostname , aciPort ) Arguments Returns Boolean. Returns true if the document was successfully added to the index queue."},"1030":{y:0,u:"../Content/Lua/CFS/smartcipher_decrypt.htm",l:-1,t:"smartcipher_decrypt",i:0.000275962582419033,a:"The smartcipher_decrypt function sends a request to a OpenText Voltage SmartCipher server, to decrypt a file. SmartCipher decrypts the file in its original location (to request decryption, CFS sends the document reference to the SmartCipher server). The decrypted data is not returned to CFS. Syntax ..."},"1031":{y:0,u:"../Content/Lua/CFS/smartcipher_decrypt2.htm",l:-1,t:"smartcipher_decrypt",i:0.000275962582419033,a:"The smartcipher_decrypt function sends a request to a OpenText Voltage SmartCipher server, to decrypt a file. SmartCipher decrypts the file in its original location (to request decryption, CFS sends the document reference to the SmartCipher server). The decrypted data is not returned to CFS. Syntax ..."},"1032":{y:0,u:"../Content/Lua/CFS/smartcipher_encrypt.htm",l:-1,t:"smartcipher_encrypt",i:0.000275962582419033,a:"smartcipher_encrypt The smartcipher_encrypt function sends a request to a OpenText Voltage SmartCipher server, to encrypt a file.  Syntax smartcipher_encrypt( doc, sectionName ) Arguments Returns Boolean. Returns true if SmartCipher reports that encryption is successful."},"1033":{y:0,u:"../Content/Lua/CFS/smartcipher_encrypt2.htm",l:-1,t:"smartcipher_encrypt",i:0.000275962582419033,a:"smartcipher_encrypt The smartcipher_encrypt function sends a request to a OpenText Voltage SmartCipher server, to encrypt a file.  Syntax smartcipher_encrypt( file, sectionName ) Arguments Returns Boolean. Returns true if SmartCipher reports that encryption is successful."},"1034":{y:0,u:"../Content/Lua/CFS/standardize_fields.htm",l:-1,t:"standardize_fields",i:0.000275962582419033,a:"The standardize_fields function runs the Standardizer task, which renames document fields so that they follow a standard naming scheme. This ensures that documents indexed into IDOL Server use consistent field names. To use this function, you must set the  EnableFieldNameStandardization  and  ..."},"1035":{y:0,u:"../Content/Lua/CFS/text_to_docs.htm",l:-1,t:"text_to_docs",i:0.000275962582419033,a:"The text_to_docs function splits a file into multiple documents. Syntax text_to_docs( doc, sectionName, filename) Arguments Returns LuaDocuments. A list of document objects representing the documents that are produced. Example You might have a connector ingesting files from a repository, but want to ..."},"1036":{y:0,u:"../Content/Lua/CFS/wkoop_html_processing.htm",l:-1,t:"wkoop_html_processing",i:0.000275962582419033,a:"The function wkoop_html_processing processes HTML from the file associated with a document. This function does not create or return  child documents . You can use this function to: extract all of the links from the HTML file and add them to the document metadata. extract metadata from the HTML ..."},"1037":{y:0,u:"../Content/Lua/CFS/write_csv.htm",l:-1,t:"write_csv",i:0.000275962582419033,a:"The write_csv function writes a document’s metadata and content to a comma-separated values (CSV) file on disk. The function writes a blank line, followed by a line of field names, followed by a line that contains the field values. The CsvWriterFieldNames argument specifies the document fields that ..."},"1038":{y:0,u:"../Content/Lua/CFS/write_idx.htm",l:-1,t:"write_idx",i:0.000275962582419033,a:"The write_idx function writes a document to disk as an IDX file. If you specify the name of an existing IDX file, the document is appended to the file. Syntax write_idx( doc, outputFilename [, archiveDirectory [, maxSizeKBs\n   [, shouldUseSections]]] ) Arguments Returns Boolean. Returns true if the ..."},"1039":{y:0,u:"../Content/Lua/CFS/write_json.htm",l:-1,t:"write_json",i:0.000275962582419033,a:"The write_json function writes a document to disk in JSON format. The document is appended to the file specified by the JsonWriterFilename argument. Syntax write_json( doc, JsonWriterFilename\n   [, JsonWriterArchiveDirectory, JsonWriterMaxSizeKBs] ) Arguments Returns Boolean. Returns true if the ..."},"1040":{y:0,u:"../Content/Lua/CFS/write_sql.htm",l:-1,t:"write_sql",i:0.000275962582419033,a:"The write_sql function writes document metadata and content to disk in the form of a SQL “insert” statement. You can use the SQL statement to insert data from the document into a database. The named parameter fieldNames specifies the document fields that you want to insert into the database. You do ..."},"1041":{y:0,u:"../Content/Lua/CFS/write_xml.htm",l:-1,t:"write_xml",i:0.000275962582419033,a:"The write_xml function writes a document to disk as an XML file. If you specify the name of an existing XML file, the document is appended to the file. Syntax write_xml( doc, outputFilename ) Arguments Returns Boolean. Returns true if the XML file was created successfully, and false otherwise. ..."},"1042":{y:0,u:"../Content/Resources/MasterPages/_FT_Glossary.htm",l:-1,t:"Glossary",i:0.000275962582419033,a:"Glossary"},"1043":{y:0,u:"../Content/Actions/General/_ACI_OpenLinks.htm",l:-1,t:"OpenLinks",i:0.00121894741442582,a:"OpenLinks Type  on to open logged requests in a new window when they are clicked. "},"1044":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_MaxPriority.htm",l:-1,t:"Max-Priority",i:0.0013109346732118,a:"Max-Priority Use this parameter when QueueAction=GetStatus, to filter the actions that are returned. When this parameter is set, the connector only returns actions that have a priority the same as or below the specified value. "},"1045":{y:0,u:"../Content/Actions/CFS/ActionParameters/Adds.htm",l:-1,t:"Adds Parameter",i:0.000962075072841716,a:"The adds parameter specifies XML that describes the document to  ingest. A document must have a  unique reference. It can consist of metadata only, content only, or metadata and content. You can specify content using  either plain text or a file. The following XML describes a document with metadata ..."},"1046":{y:0,u:"../Content/Actions/CFS/ActionParameters/Updates.htm",l:-1,t:"Updates Parameter",i:0.000393246755016584,a:"The updates parameter updates a document\u0027s metadata without updating the content. Updates are specified using XML similar to that for  adds . The following table describes the XML elements that you can use for each update. Example \u003cUpdates\u003e\n   \u003cupdate\u003e\n      ..."},"1047":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_StartedAfter.htm",l:-1,t:"Started-After",i:0.0013109346732118,a:"Use this parameter when QueueAction=GetStatus, to filter the actions that are returned. When this parameter is set, the server only returns actions that started processing after the specified date and time. Specify the date and time in one of the following formats: YYYY-MM-DD HH:NN:SS ZZZ YYYY/MM/DD ..."},"1048":{y:0,u:"../Content/Service/ServiceActions/_ACI_File.htm",l:-1,t:"File",i:0.00147868927565802,a:"File The path and file name of the diagnostics ZIP file to create. You can use an absolute or relative path. Relative paths are relative to the current component working directory."},"1049":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_MaxResults.htm",l:-1,t:"MaxResults",i:0.0013109346732118,a:"MaxResults The maximum number of results to return in the response when you run action=QueueInfo\u0026QueueAction=getStatus. The default value of this parameter does not limit the number of results. "},"1050":{y:0,u:"../Content/Actions/SharedParameters/_ACI_ResponseFormat.htm",l:-1,t:"ResponseFormat",i:0.00196041550078659,a:"The format in which you want to receive the action output. You can use one of the following response formats: XML. XML format. Config. Config format (that is, similar to the Connector Framework Server configuration file). json. Default JSON format, as you configure in  JSONFormat . json/0. A JSON ..."},"1051":{y:0,u:"../Content/Actions/General/_ACI_Refresh.htm",l:-1,t:"Refresh",i:0.00121894741442582,a:"Refresh The number of seconds to elapse before the request log refreshes. "},"1052":{y:0,u:"../Content/Actions/SharedParameters/_ACI_Template.htm",l:-1,t:"Template",i:0.00301065024119041,a:"Template The name of the XSL template to apply to the action output. Exclude the file path and file extension."},"1053":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_QueueName.htm",l:-1,t:"QueueName",i:0.000967349465414665,a:"QueueName The name of the queue to query. There is one queue for each asynchronous action.  \n            Most CFS functionality is accessed through action=Ingest, so usually you will specify ingest.\n        "},"1054":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_MinPriority.htm",l:-1,t:"Min-Priority",i:0.0013109346732118,a:"Min-Priority Use this parameter when QueueAction=GetStatus, to filter the actions that are returned. When this parameter is set, the connector only returns actions that have a priority the same as or higher than the specified value."},"1055":{y:0,u:"../Content/Actions/SharedParameters/_ACI_TemplateParamCSVs.htm",l:-1,t:"TemplateParamCSVs",i:0.000309472346018333,a:"A comma-separated list of variables to set in the XSL template.  If you specify an XSL template in the  Template  parameter, you can set the XSLT variables for the template by setting TemplateParamCSVs. Set a variable by adding the parameter name and the value, separated by a comma. To set multiple ..."},"1056":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_QueuedBefore.htm",l:-1,t:"Queued-Before",i:0.0013109346732118,a:"Use this parameter when QueueAction=GetStatus, to filter the actions that are returned. When this parameter is set, the server only returns actions that were added to the queue before the specified date and time. Specify the date and time in one of the following formats: YYYY-MM-DD HH:NN:SS ZZZ ..."},"1057":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_SortOrder.htm",l:-1,t:"Sort-Order",i:0.0013109346732118,a:"Sort-Order The order to use to sort the actions that are returned: ascending  - The oldest action is listed first. descending - The most recent action is listed first."},"1058":{y:0,u:"../Content/Actions/SharedParameters/_ACI_FileName.htm",l:-1,t:"FileName",i:0.00140806341826234,a:"The location of the file to write the action output to, if you have set  Output  to  File. Type the full path to the file. The path that you specify must be listed in the  AllowedOutputDirectoryCSVs  configuration parameter. Connector Framework Server cannot write the output file to directories that ..."},"1059":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_Priority.htm",l:-1,t:"Priority",i:0.000753775839280949,a:"Priority The new priority to assign to the queued action. Specify the new priority as an integer. The higher the value you assign, the higher the priority of the action. "},"1060":{y:0,u:"../Content/Actions/SharedParameters/_ACI_ForceTemplateRefresh.htm",l:-1,t:"ForceTemplateRefresh",i:0.00286924141563666,a:"ForceTemplateRefresh If you specify a Template to use for your action results, you can set ForceTemplateRefresh to  True to force the ACI server  to reload this template from disk rather than from the cache."},"1061":{y:0,u:"../Content/Actions/Template/ActionParameters/_ACI_TemplateName.htm",l:-1,t:"TemplateName",i:0.00304401998094562,a:"TemplateName The name of the template."},"1062":{y:0,u:"../Content/Actions/SharedParameters/_ACI_ActionID.htm",l:-1,t:"ActionID",i:0.000787285602880249,a:"A string to use to identify an ACI action. You can use this parameter to track actions where the action is passed between multiple IDOL components. Each IDOL component passes the ActionID string along with the action, so that you can easily find related actions in logs for each component. If you do ..."},"1063":{y:0,u:"../Content/Actions/General/_ACI_Data.htm",l:-1,t:"Data",i:0.000626799449379532,a:"Data The encrypted version of the original action. To send an encrypted action, encrypt the action and then send it in the Data parameter of the  Encrypted  action. "},"1064":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_SortBy.htm",l:-1,t:"Sort-By",i:0.0013109346732118,a:"Sort-By The property to use to sort the actions that are returned: queue-time - The time the request was received. start-time - The time the server began processing the request. finish-time - The time the server finished processing the request."},"1065":{y:0,u:"../Content/Actions/SharedParameters/_ACI_Output.htm",l:-1,t:"Output",i:0.00258492643320829,a:"Type  File to write action output to a file. If you set Output to  File, you must use the  FileName  parameter to specify the name and the location of the file that you want to write the output to. The path that you specify in  FileName  must be listed in the  AllowedOutputDirectoryCSVs  ..."},"1066":{y:0,u:"../Content/Service/ServiceActions/_ACI_Name.htm",l:-1,t:"Name",i:0.00062563381402271,a:"Name Type the name of the log stream you want to return. To retrieve a list of log stream names, use the  GetLogStreamNames  service action."},"1067":{y:0,u:"../Content/Actions/General/_ACI_DiskReport_MaxDepth.htm",l:-1,t:"MaxDepth",i:0.00189107940704657,a:"The maximum number of levels to print in the output for a disk report. Connector Framework Server always counts all objects, but for this number of levels, Connector Framework Server also prints details of the components, items, directories, and files.  To print the whole directory tree, set this ..."},"1068":{y:0,u:"../Content/Actions/General/_ACI_Tail.htm",l:-1,t:"Tail",i:0.00121894741442582,a:"Tail The number of most recent requests that the log must display. "},"1069":{y:0,u:"../Content/Configuration/SSL/_ACI_SSLConfig.htm",l:-1,t:"SSLConfig",i:0.00792413405455233,a:"Identifies the configuration section in which the SSL configuration details are specified, usually SSLOptionN. You must set this parameter if you are using SSL connections between components. To control incoming ACI calls, set this parameter in the [Server] section. To control outgoing ACI calls, ..."},"1070":{y:0,u:"../Content/Service/ServiceActions/_ACI_FromDisk.htm",l:-1,t:"FromDisk",i:0.00062563381402271,a:"FromDisk Specifies whether the log stream is read from disk or memory. Type  True if you want the log stream to be read from disk rather than from memory. "},"1071":{y:0,u:"../Content/Actions/General/_ACI_IP.htm",l:-1,t:"IP",i:0.000626799449379532,a:"IP The IP address for which to check permissions. By default, the  ShowPermissions  action checks the permissions for the client that sends the request."},"1072":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_QueuedAfter.htm",l:-1,t:"Queued-After",i:0.0013109346732118,a:"Use this parameter when QueueAction=GetStatus, to filter the actions that are returned. When this parameter is set, the server only returns actions that were added to the queue after the specified date and time. Specify the date and time in one of the following formats: YYYY-MM-DD HH:NN:SS ZZZ ..."},"1073":{y:0,u:"../Content/Lua/_LUA_HTTP_Client_Config.htm",l:-1,t:"HTTP Client Parameters",i:0.00185212202192769,a:"This page describes the HTTP Client options that you can use with the Lua function  send_http_request . When configuring authentication, do not set more than one of the following combinations. BasicUsername and BasicPassword DigestUsername and DigestPassword NTLMUsername and NTLMPassword You can ..."},"1074":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_StartedBefore.htm",l:-1,t:"Started-Before",i:0.0013109346732118,a:"Use this parameter when QueueAction=GetStatus, to filter the actions that are returned. When this parameter is set, the server only returns actions that started processing before the specified date and time. Specify the date and time in one of the following formats: YYYY-MM-DD HH:NN:SS ZZZ ..."},"1075":{y:0,u:"../Content/Service/ServiceActions/_ACI_Logs.htm",l:-1,t:"Logs",i:0.00147868927565802,a:"Logs The log files to include in the diagnostic ZIP file. You can use one of the following options: Action Diagnostic Type: String Default: Current Required: No Example: Logs=Full See Also:"},"1076":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_FinishedAfter.htm",l:-1,t:"Finished-After",i:0.0013109346732118,a:"Use this parameter when QueueAction=GetStatus, to filter the actions that are returned. When this parameter is set, the server only returns actions that finished processing after the specified date and time. Specify the date and time in one of the following formats: YYYY-MM-DD HH:NN:SS ZZZ ..."},"1077":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_Token.htm",l:-1,t:"Token",i:0.000967349465414665,a:"Token To specify a single action in the queue, specify the token. You must specify this parameter when QueueAction=cancel, or QueueAction=changePriority. "},"1078":{y:0,u:"../Content/Configuration/Server/_ACI_AllowedOutputDirectoryCSVs.htm",l:-1,t:"AllowedOutputDirectoryCSVs",i:0.00197297930739194,a:"A comma-separated list of the directories that the server  can write output files to. Output files are created when an action is sent with the  Output  parameter set to  file. The path must be absolute (for example, C:\\IDOLServer\\outputs or /store/idol/results). The service cannot write to ..."},"1079":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_FinishedBefore.htm",l:-1,t:"Finished-Before",i:0.0013109346732118,a:"Use this parameter when QueueAction=GetStatus, to filter the actions that are returned. When this parameter is set, the server only returns actions that finished processing before the specified date and time. Specify the date and time in one of the following formats: YYYY-MM-DD HH:NN:SS ZZZ ..."},"1080":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_QueueAction.htm",l:-1,t:"QueueAction",i:0.000753775839280949,a:"The action to perform on the queue. Specify one of the following actions:  cancel - cancel the queued action specified by the Token parameter. Use this option to cancel an action that has not started processing. changePriority - change the priority of the queued action specified by the Token ..."},"1081":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_Start.htm",l:-1,t:"Start",i:0.0013109346732118,a:"Start The index of the first result to return in the response when you run action=QueueInfo\u0026QueueAction=getStatus. The index of the first result is  1. Use this parameter when you set the MaxResults action parameter, to page through the results."},"1082":{y:0,u:"../Content/Actions/General/_ACI_MemoryReport_MaxDepth.htm",l:-1,t:"MaxDepth",i:0.00189107940704657,a:"MaxDepth The maximum depth to return memory information for. The  MemoryReport  response XML displays a tree structure, with information for components and their sub-components on multiple levels. You can set MaxDepth to restrict the report to this number of levels. "},"1083":{y:0,u:"../Content/Actions/General/_ACI_Format.htm",l:-1,t:"Format",i:0.00121894741442582,a:"Format Type  XML to display the request log in XML format. "},"1084":{y:0,u:"../Content/Actions/General/_ACI_QueueInfo_State.htm",l:-1,t:"State",i:0.000753775839280949,a:"State The actions to return, based on their current state. This parameter accepts a comma-separated list that contains one or more of the following values: queued - return actions that are waiting in the queue. running - return actions that are running. finished - return actions that have finished."},"1085":{y:0,u:"../Content/Service/ServiceActions/_ACI_Tail.htm",l:-1,t:"Tail",i:0.00062563381402271,a:"Tail Type the number of lines from the log stream to return. The lines are read from the top (that is, the most recent lines are returned). Type  -1 to return all entries."},});